# Applied upstream

###########################################################################
# John's printk queue
###########################################################################
0001-printk-rename-cpulock-functions.patch
0002-printk-cpu-sync-always-disable-interrupts.patch
0004-printk-wake-up-all-waiters.patch
0006-printk-get-caller_id-timestamp-after-migration-disab.patch
0007-printk-call-boot_delay_msec-in-printk_delay.patch
0008-printk-add-con_printk-macro-for-console-details.patch
0009-printk-refactor-and-rework-printing-logic.patch
0010-printk-move-buffer-definitions-into-console_emit_nex.patch
0011-printk-add-pr_flush.patch
0012-printk-add-functions-to-prefer-direct-printing.patch
0013-printk-add-kthread-console-printers.patch
0014-printk-extend-console_lock-for-per-console-locking.patch
0015-printk-remove-console_locked.patch
0016-printk-add-infrastucture-for-atomic-consoles.patch
0017-serial-8250-implement-write_atomic.patch
0018-printk-avoid-preempt_disable-for-PREEMPT_RT.patch

###########################################################################
# Posted and applied
###########################################################################

# in -tip or traveling to -tip.
lib-irq_poll-Prevent-softirq-pending-leak-in-irq_pol.patch
# signal_x86__Delay_calling_signals_in_atomic.patch

# v5, fixed 3/3 of smp: Make softirq handling RT friendly
0001-sched-Fix-missing-prototype-warnings.patch
0002-smp-Rename-flush_smp_call_function_from_idle.patch
0003-smp-Make-softirq-handling-RT-safe-in-flush_smp_call_.patch

###########################################################################
# Posted
###########################################################################
rcu-tasks-Use-rcuwait-for-the-rcu_tasks_kthread.patch
rcu-tasks-Use-schedule_hrtimeout_range-while-waiting.patch
blk-mq-Don-t-disable-preemption-around-__blk_mq_run_.patch
mm-vmalloc-Use-raw_cpu_ptr-for-vmap_block_queue-acce.patch
SUNRPC-Don-t-disable-preemption-while-calling-svc_po.patch
0001-scsi-fcoe-Add-a-local_lock-to-fcoe_percpu.patch
0002-scsi-fcoe-Use-per-CPU-API-to-update-per-CPU-statisti.patch
0003-scsi-libfc-Remove-get_cpu-semantics-in-fc_exch_em_al.patch
0004-scsi-bnx2fc-Avoid-using-get_cpu-in-bnx2fc_cmd_alloc.patch
genirq-irq_sim-Make-the-irq_work-always-run-in-hard-.patch
genirq-Provide-generic_handle_domain_irq_safe.patch

# Eric's ptrace, v4
0001-signal-Rename-send_signal-send_signal_locked.patch
0002-signal-Replace-__group_send_sig_info-with-send_signa.patch
0005-ptrace-Remove-arch_ptrace_attach.patch
0006-signal-Use-lockdep_assert_held-instead-of-assert_spi.patch
0008-ptrace-Document-that-wait_task_inactive-can-t-fail.patch
0009-ptrace-Admit-ptrace_stop-can-generate-spuriuos-SIGTR.patch
0010-ptrace-Don-t-change-__state.patch
0011-ptrace-Always-take-siglock-in-ptrace_resume.patch
0012-sched-signal-ptrace-Rework-TASK_TRACED-TASK_STOPPED-.patch
# Hacks to get it to work.
signal__Revert_ptrace_preempt_magic.patch
sched-Consider-task_struct-saved_state-in-wait_task_.patch

###########################################################################
# Post
###########################################################################

###########################################################################
# fs:
###########################################################################
fs_dcache__disable_preemption_on_i_dir_seqs_write_side.patch
fs-dcache-Delay-dentry-d_lock-outside-of-the-locked-.patch

###########################################################################
# X86:
###########################################################################
x86__Allow_to_enable_RT.patch
x86__Enable_RT_also_on_32bit.patch

###########################################################################
# For later, not essencial
###########################################################################
softirq-Use-a-dedicated-thread-for-timer-wakeups.patch
rcutorture-Also-force-sched-priority-to-timersd-on-b.patch
tick-Fix-timer-storm-since-introduction-of-timersd.patch
tpm_tis__fix_stall_after_iowrites.patch
drivers_block_zram__Replace_bit_spinlocks_with_rtmutex_for_-rt.patch
generic-softirq-Disable-softirq-stacks-on-PREEMPT_RT.patch
softirq-Disable-softirq-stacks-on-PREEMPT_RT.patch
iio-adc-stm32-adc-Use-generic_handle_domain_irq.patch
locking-lockdep-Remove-lockdep_init_map_crosslock.patch

###########################################################################
# DRM:
###########################################################################
0003-drm-i915-Use-preempt_disable-enable_rt-where-recomme.patch
0004-drm-i915-Don-t-disable-interrupts-on-PREEMPT_RT-duri.patch
0005-drm-i915-Don-t-check-for-atomic-context-on-PREEMPT_R.patch
0006-drm-i915-Disable-tracing-points-on-PREEMPT_RT.patch
0007-drm-i915-skip-DRM_I915_LOW_LEVEL_TRACEPOINTS-with-NO.patch
0008-drm-i915-gt-Queue-and-wait-for-the-irq_work-item.patch
0009-drm-i915-gt-Use-spin_lock_irq-instead-of-local_irq_d.patch
0010-drm-i915-Drop-the-irqs_disabled-check.patch
Revert-drm-i915-Depend-on-PREEMPT_RT.patch

###########################################################################
# Lazy preemption
###########################################################################
sched__Add_support_for_lazy_preemption.patch
x86_entry__Use_should_resched_in_idtentry_exit_cond_resched.patch
x86__Support_for_lazy_preemption.patch
entry--Fix-the-preempt-lazy-fallout.patch
arm__Add_support_for_lazy_preemption.patch
powerpc__Add_support_for_lazy_preemption.patch
arch_arm64__Add_lazy_preempt_support.patch

###########################################################################
# ARM/ARM64
###########################################################################
jump-label__disable_if_stop_machine_is_used.patch
ARM__enable_irq_in_translation_section_permission_fault_handlers.patch
arm64-mm-Make-arch_faults_on_old_pte-check-for-migra.patch
arm64-sve-Delay-freeing-memory-in-fpsimd_flush_threa.patch
arm64-sve-Make-kernel-FPU-protection-RT-friendly.patch
# arm64-signal-Use-ARCH_RT_DELAYS_SIGNAL_SEND.patch
tty_serial_omap__Make_the_locking_RT_aware.patch
tty_serial_pl011__Make_the_locking_work_on_RT.patch
ARM__Allow_to_enable_RT.patch
ARM64__Allow_to_enable_RT.patch

###########################################################################
# POWERPC
###########################################################################
powerpc__traps__Use_PREEMPT_RT.patch
powerpc_pseries_iommu__Use_a_locallock_instead_local_irq_save.patch
powerpc_kvm__Disable_in-kernel_MPIC_emulation_for_PREEMPT_RT.patch
powerpc_stackprotector__work_around_stack-guard_init_from_atomic.patch
POWERPC__Allow_to_enable_RT.patch

# Sysfs file vs uname() -v
sysfs__Add__sys_kernel_realtime_entry.patch

###########################################################################
# RT release version
###########################################################################
Add_localversion_for_-RT_release.patch
